%define version 0.7.6
%define release 1mdk
%define name wmsysmon

Summary:  System information (memory, swap, uptime, IO) in a small dock app
Name:		%{name}
Version:	%{version}
Release:	%{release}
Copyright:	GPL
Group:		Toys
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}-icons.tar.bz2
URL:		ftp://gnugeneration.com/pub/Linux/wmsysmon/wmsysmon-0.7.6.tar.gz
Requires:	XFree86-libs, xpm
BuildRequires:	XFree86-devel, xpm-devel
Prefix:		/usr/X11R6
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
This is a small dock application for use with WindowMaker (www.windowmaker.org)
to show system information on interrupt activity, memory use, swap use, and IO.
Wmsysmon was originally written by Dave Clark, I saw room for improvement in
wmsysmon and sent some updates in to Dave Clark, after nearly a month went by
with no response I decided to takeover development.  Dave Clark is OK with this,
it appears he is too overworked to keep up with everything, if you are
management over Dave Clark give him a break :). This program is licensed under
the GNU GPL.


%prep

%setup

%build
# ./configure --prefix="$RPM_BUILD_ROOT"%{prefix}/
make -C src RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
[ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT

install -m 755 -d $RPM_BUILD_ROOT%{_miconsdir}
install -m 755 -d $RPM_BUILD_ROOT%{_iconsdir}
install -m 755 -d $RPM_BUILD_ROOT%{_liconsdir}
tar xOjf %SOURCE1 %{name}.16x16.xpm > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.xpm
tar xOjf %SOURCE1 %{name}.32x32.xpm > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.xpm
tar xOjf %SOURCE1 %{name}.48x48.xpm > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.xpm

mkdir -p $RPM_BUILD_ROOT%{prefix}/bin/
install -m 755 src/wmsysmon $RPM_BUILD_ROOT%{prefix}/bin/

install -m 755 -d $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="%{prefix}/bin/%{name}" icon="%{name}.xpm"\\
                 needs="X11" section="Applications/Monitoring" title="WmSysMon"\\
                 longtitle="System information (memory, swap, uptime, IO) in a small icon"\\
EOF


%clean
[ -z $RPM_BUILD_ROOT ] || {
    rm -rf $RPM_BUILD_ROOT
}


%post
%{update_menus}


%postun
%{clean_menus}


%files
%defattr (-,root,root)
%doc ChangeLog  FAQ  README
%{prefix}/bin/%{name}
%{_liconsdir}/%{name}.xpm
%{_miconsdir}/%{name}.xpm
%{_iconsdir}/%{name}.xpm
%{_menudir}/%{name}

%changelog
* Thu May 31 2001 HA Quc-Vit <viet@mandrakesoft.com> 0.7.6-1mdk
- Anecdotical fixes in the spec. fix to the menu file.

* Wed Oct 31 2000 HA Quc-Vit <viet@mandrakesoft.com> 0.7.6-0mdk
- Initial release.
